// Copyright 2018 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef IOS_CHROME_BROWSER_UI_POPUP_MENU_POPUP_MENU_CONSTANTS_H_
#define IOS_CHROME_BROWSER_UI_POPUP_MENU_POPUP_MENU_CONSTANTS_H_

#import <Foundation/Foundation.h>

// Accessibility IDs for the table view in various kinds of popup menus.
extern NSString* const kPopupMenuToolsMenuTableViewId;
extern NSString* const kPopupMenuToolsMenuActionListId;

// Accessibility IDs for the Tools Menu items.
// Downloads item accessibility Identifier.
extern NSString* const kToolsMenuDownloadsId;
// Reload item accessibility Identifier.
extern NSString* const kToolsMenuReload;
// Stop item accessibility Identifier.
extern NSString* const kToolsMenuStop;
// New Tab item accessibility Identifier.
extern NSString* const kToolsMenuNewTabId;
// New Tab item accessibility Identifier.
extern NSString* const kToolsMenuNewWindowId;
// New incognito Tab item accessibility Identifier.
extern NSString* const kToolsMenuNewIncognitoTabId;
// Follow item accessibility Identifier.
extern NSString* const kToolsMenuFollowId;
// Bookmarks item accessibility Identifier.
extern NSString* const kToolsMenuBookmarksId;
// Reading List item accessibility Identifier.
extern NSString* const kToolsMenuReadingListId;
// Other Devices item accessibility Identifier.
extern NSString* const kToolsMenuOtherDevicesId;
// History item accessibility Identifier.
extern NSString* const kToolsMenuHistoryId;
// Passwords item accessibility Identifier.
extern NSString* const kToolsMenuPasswordsId;
// Report an issue item accessibility Identifier.
extern NSString* const kToolsMenuReportAnIssueId;
// Translate item accessibility Identifier.
extern NSString* const kToolsMenuTranslateId;
// Find in Page item accessibility Identifier.
extern NSString* const kToolsMenuFindInPageId;
// Request desktop item accessibility Identifier.
extern NSString* const kToolsMenuRequestDesktopId;
// Settings item accessibility Identifier.
extern NSString* const kToolsMenuSettingsId;
// Settings action item accessibility Identifier.
extern NSString* const kToolsMenuSettingsActionId;
// Help item accessibility Identifier.
extern NSString* const kToolsMenuHelpId;
// Request mobile item accessibility Identifier.
extern NSString* const kToolsMenuRequestMobileId;
// ReadLater item accessibility Identifier.
extern NSString* const kToolsMenuReadLater;
// AddBookmark item accessibility Identifier.
extern NSString* const kToolsMenuAddToBookmarks;
// EditBookmark item accessibility Identifier.
extern NSString* const kToolsMenuEditBookmark;
// SiteInformation item accessibility Identifier.
extern NSString* const kToolsMenuSiteInformation;
// Incognito Search item accessibility Identifier.
extern NSString* const kToolsMenuIncognitoSearch;
// Text Zoom item accessibility identifier.
extern NSString* const kToolsMenuTextZoom;
// Text Enterprise info item accessibility identifier.
extern NSString* const kTextMenuEnterpriseInfo;
// Text Family Link info item accessibility identifier.
extern NSString* const kTextMenuFamilyLinkInfo;
// Follow item accessibility Identifier.
extern NSString* const kToolsMenuFollow;
// Unfollow item accessibility Identifier.
extern NSString* const kToolsMenuUnfollow;
// Clear Browsing Data item accessibility identifier.
extern NSString* const kToolsMenuClearBrowsingData;
// Share Chrome accessibility Identifier.
extern NSString* const kToolsMenuShareChromeId;
// WhatsNew item accessibility Identifier.
extern NSString* const kToolsMenuWhatsNewId;
// Open Price Notifications accessibility Identifier.
extern NSString* const kToolsMenuPriceNotifications;
// Edit Actions item accessibility Identifier.
extern NSString* const kToolsMenuEditActionsId;

#endif  // IOS_CHROME_BROWSER_UI_POPUP_MENU_POPUP_MENU_CONSTANTS_H_
