// Copyright 2022 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_PRIVACY_CONSTANTS_H_
#define IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_PRIVACY_CONSTANTS_H_

#import <Foundation/Foundation.h>

// The accessibility identifier of the Privacy setting table view.
extern NSString* const kPrivacyTableViewId;

// The accessibility identifier of the Privacy Lockdown Mode cell.
extern NSString* const kPrivacyLockdownModeCellId;

// The accessibility identifier of the Privacy Safe Browsing setting table view.
extern NSString* const kPrivacySafeBrowsingTableViewId;

// The accessibility identifier of the Privacy Safe Browsing cell.
extern NSString* const kSettingsPrivacySafeBrowsingCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection cell.
extern NSString* const kSettingsSafeBrowsingEnhancedProtectionCellId;

// The accessibility identifier of the Safe Browsing Standard Protection cell.
extern NSString* const kSettingsSafeBrowsingStandardProtectionCellId;

// The accessibility identifier of the Safe Browsing No Protection cell.
extern NSString* const kSettingsSafeBrowsingNoProtectionCellId;

#endif  // IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_PRIVACY_CONSTANTS_H_
