// Copyright 2022 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_SAFE_BROWSING_SAFE_BROWSING_CONSTANTS_H_
#define IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_SAFE_BROWSING_SAFE_BROWSING_CONSTANTS_H_

#import <Foundation/Foundation.h>

// The accessibility identifier of the Safe Browsing Enhanced Protection table
// view.
extern NSString* const kSafeBrowsingEnhancedProtectionTableViewId;

// The accessibility identifier of the Safe Browsing Enhanced Protection table
// view first header.
extern NSString* const kSafeBrowsingEnhancedProtectionTableViewFirstHeaderId;

// The accessibility identifier of the Safe Browsing Enhanced Protection table
// view second header.
extern NSString* const kSafeBrowsingEnhancedProtectionTableViewSecondHeaderId;

// The accessibility identifier of the Safe Browsing Enhanced Protection table
// view footer.
extern NSString* const kSafeBrowsingEnhancedProtectionTableViewFooterId;

// The accessibility identifier of the Safe Browsing Standard Protection table
// view.
extern NSString* const kSafeBrowsingStandardProtectionTableViewId;

// The accessibility identifier of the Safe Browsing Enhanced Protection account
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionAccountCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection data
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionDataCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection
// download cell.
extern NSString* const kSafeBrowsingEnhancedProtectionDownloadCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection shield
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionShieldCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection shield
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionGIconCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection G Icon
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionGlobeCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection key
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionKeyCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection link
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionLinkCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection metric
// cell.
extern NSString* const kSafeBrowsingEnhancedProtectionMetricCellId;

// The accessibility identifier of the Safe Browsing Enhanced Protection
// performance cell.
extern NSString* const kSafeBrowsingEnhancedProtectionPerformanceCellId;

// The accessibility identifier of the Safe Browsing Standard Protection shield
// cell.
extern NSString* const kSafeBrowsingStandardProtectionShieldCellId;

// The accessibility identifier of the Safe Browsing Standard Protection metric
// cell.
extern NSString* const kSafeBrowsingStandardProtectionMetricCellId;

// The accessibility identifier of the Safe Browsing Standard Protection
// password leak cell.
extern NSString* const kSafeBrowsingStandardProtectionPasswordLeakCellId;

// The accessibility identifier of the Safe Browsing Extended Reporting switch
// cell.
extern NSString* const kSafeBrowsingExtendedReportingCellId;

#endif  // IOS_CHROME_BROWSER_UI_SETTINGS_PRIVACY_SAFE_BROWSING_SAFE_BROWSING_CONSTANTS_H_
